package ai.pai.lensman.settings;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import ai.pai.lensman.R;
import ai.pai.lensman.activities.AboutUsActivity;
import ai.pai.lensman.activities.FeedbackActivity;
import ai.pai.lensman.activities.WebViewActivity;
import ai.pai.lensman.base.BaseActivity;
import ai.pai.lensman.utils.BoxUrlContainer;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;


public class SettingsActivity extends BaseActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_settings);
        unbinder = ButterKnife.bind(this);
    }


    @OnClick(R.id.title_bar_back_layout)
    void back(){
        finish();
    }

    @OnClick(R.id.layout_about_us)
    void go2About(){
        startActivity(new Intent(this, AboutUsActivity.class));
    }

    @OnClick(R.id.layout_contact)
    void go2Contact(){
        Intent contactIntent = new Intent(this,WebViewActivity.class);
        contactIntent.putExtra("url","http://pai.ai/page/contact_us");
        contactIntent.putExtra("title",getString(R.string.contact_us));
        startActivity(contactIntent);
    }

    @OnClick(R.id.layout_feedback)
    void go2Feedback(){
        startActivity(new Intent(this, FeedbackActivity.class));
    }

}
